@import "variables.css";
@import "menu_item.css";
@import "accessibility.css";
@import "map_components/underground_lines.css";
/*@import "https://cdn.jsdelivr.net/npm/shepherd.js@13.0.0/dist/css/shepherd.css";*/
@import '../lib/shepherd/shepherd.css';
/* Main CSS */
@import "loader.css";

* {
    box-sizing: border-box;
    font-family: Arial, sans-serif;
    line-height: 1;
}

/*to be discussed*/
*:focus-visible {
    outline: 5px solid white!important;
    box-shadow: inset 0 0 0 4px black;
    border-radius: 10px!important;
}
*:not(a,button,svg):focus {
    padding: 12px 10px;
}

body {
    /*height: 100vh;*/
    margin: 0;
    overflow-y: hidden;
    /*animation: page-transition linear 1s;*/
    /*animation: load-page linear 4s;*/
    font-size: var(--current-font-size);
    letter-spacing: var(--current-letter-spacing);
    line-height: var(--current-line-spacing);
    color: var(--current-text-colour);
    word-spacing: var(--current-word-spacing);
    /*filter: saturate(var(--current-saturation)) contrast(var(--current-contrast)) invert(var(--current-invert));*/
}

body.load-page {
    /*animation: page-transition 750ms;*/
    display: block;
    /*opacity: 0;*/
    visibility: hidden;
}

h3 {
    text-align: center;
}

h4 {
    text-align: center;
    margin-top: var(--margin-top, 10px);
    margin-bottom: var(--margin-bottom, 10px);
    background: var(--white-background, #FFF);
}

p {
    text-align: justify;
    font-size: var(--current-font-size);
    line-height: var(--current-line-spacing);
}

a {
    text-decoration: none;
    color: var(--current-text-colour, black);
    font-size: var(--current-font-size);
    line-height: var(--current-line-spacing);

}

main {
    grid-area: main;
    overflow-x: hidden;
    display: flex;
    flex-direction: column;
    position: absolute;
    top: var(--header-height);
    width: 100%;
    height: calc(100% - 50px);

}

main:focus {
    padding: 0;
}
footer {
    width: 100%;
    height: 50px;
    grid-area: footer;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    position: fixed;
    bottom: 0;
    background: var(--white-background, #FFF);
    padding-block: 1em;
    box-shadow: var(--supplementary-colour) 0 -2px 5px;
    z-index: 5;
}

#bottom-nav-item-map {
    padding: 15px 45%;
}

#bottom-nav-item-home {
    padding: 15px 30%;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 5000px;
    z-index: -1;
}

.container {
    width: 100vw;
    height: 100%;
}
.container > *:not(:has(#demo), .tour-modal.active) {
    padding: 1.5em;
}
body.load-page {
    display: block;
    visibility: hidden;
}

/*@keyframes page-transition {*/
/*    from {*/
/*        visibility: hidden;*/
/*        display: none;*/
/*        opacity: 0;*/
/*    }*/
/*    to {*/
/*        visibility: visible;*/
/*        opacity: 1;*/
/*        display: block;*/
/*    }*/
/*}*/

#privacy-policy-content{
    margin: 5%;
}

.header-wrapper {
    height: var(--header-height);
    display: flex;
    justify-content: center;
    align-items: center;
    /*border-bottom: var(--border, 2px solid #000);*/
    box-shadow: var(--supplementary-colour) 0 2px 5px;

    background-color: var(--white-background, #FFF);
    z-index: 3;
    /*background-color: var(--main-colour, #FF8C00);*/
    grid-area: nav;
    min-height: var(--header-height);
    position: fixed;
    width: 100%;
    top: 0;
}


/*.header-wrapper {*/

/*}*/

.burger-menu {
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
    display: flex;
    flex-direction: row;
    column-gap: 10px;
    justify-content: left;
    align-items: center;
    /*height: 24px;*/
    width: 24px;
}

.burger-menu .burger-icon {
    width: 100%;
    height: 4px;
    background-color: var(--current-text-colour, #000000);
    /*background-color: #FFFFFF;*/
    display: block;
    position: relative;
    transition: transform .5s ease;
}

.burger-menu .burger-icon:before,
.burger-menu .burger-icon:after {
    content: '';
    width: 100%;
    height: 4px;
    background-color: var(--current-text-colour, #000000);
    /*background-color: #FFFFFF;*/
    position: absolute;


}

.burger-menu .burger-icon:before {
    top: -8px;
    left: 0;
}

.burger-menu .burger-icon:after {
    top: 8px;
    left: 0;
}

.burger-menu .burger-icon.active {
    transform: rotate(45deg);
    transition: transform .5s ease;
    background-color: var(--text-colour);
}

.burger-menu .burger-icon.active:before {
    display: none;
}

.burger-menu .burger-icon.active:after {
    top: 0;
    transform: rotate(90deg);
    background-color: var(--text-colour);

}

.side-menu {
    display: none;
    transition: 0.5s ease-in-out;
    z-index: 10;

    width: 100%;
    height: 100%;

    position: absolute;
    top: 0;
    left: 0;
}

.side-menu.active {
    display: block;
    overflow-x: hidden;
    transition: 0.5s ease-in-out;
    /*padding: 2px;*/
}


.side-menu.active form {
    margin-top: var(--margin-top, 10px);
    margin-bottom: var(--margin-bottom, 10px);
    width: 100%;
}

.side-menu ul {
    margin: 70px 1rem 0;
}

.side-menu.active ul {
    list-style-type: none;
    padding: 0;
    display: flex;
    flex-direction: column;
    row-gap: 1.2rem;
    word-wrap: anywhere;
}

.side-menu.active .qa-list {
    gap: 10px;
    background: white;
    position: absolute;
    height: 100%;
    top: 0px;
    left: 0px;
    margin: 0px;
    padding: 0px 25px 25px;
    width: 100%;
    border: 2px solid black;
    overflow-y: auto;
    scrollbar-width: none;
}

.side-menu.active ul li {
    display: grid;
    grid-template-columns: 1.5em auto;
    align-items: center;
    font-size: var(--current-font-size, 16px);
    text-decoration: underline;
    cursor: pointer;
}

.side-menu.active ul .sidemenu-item {
    color: var(--text-colour, #FFFFFF);
}

.sidemenu-item svg {
    width: 25px;
    height: 25px;
}

.side-menu.active ul li a {
    font-size: var(--current-font-size, 16px);
    text-decoration: underline;
    color: var(--text-colour, #FFFFFF);
}

.side-menu.active .qa-list .qa-wrapper{
    display: flex;
    flex-flow: column wrap;
    align-items: flex-start;
    cursor: auto;
    text-decoration: none;
    gap: 5px;
}

.side-menu.active .qa-list h2 {
    margin-top: 75px;
}

.side-menu.active .qa-list h3 {
    margin-top: 25px;
    text-align: left;
}

.side-menu.active .qa-list p {
    margin: 10px 0 ;
}

.side-menu ul li p {
    margin: 0 0 0 var(--margin-left, 20px);
}


body.full-screen .side-menu.active {
    padding: 0;
    margin: 0;
}

.sidemenu-item {
    text-decoration: underline;
    color: var(--text-colour, #FFFFFF);
    cursor: pointer;
}

.side-menu-button-close-wrapper {
    display: flex;
    flex-direction: row;
    column-gap: 10px;
    justify-content: left;
    align-items: center;
}

.side-menu-wrapper {
    display: grid;
    height: 100%;
    flex-direction: column;
    justify-content: space-between;
    background-color: var(--main-colour, #FF8C00);
    /*max-width: 250px;*/
    padding-inline: var(--padding, 10px);
}

.side-menu-wrapper h1 {
    row-gap: 20px;
    overflow-wrap: anywhere;
    color: var(--text-colour, #FFFFFF);
    cursor: pointer;
}

.side-menu-wrapper .accessibility-header {
    margin: 70px 1rem -50px;
    display: flex;
    align-items: center;
    text-decoration: none;
}
.side-menu-wrapper .accessibility-header .accessibility-header-text {
    margin-left: 20px;
    cursor: pointer;
}
.side-menu-wrapper .accessibility-header .accessibility-header-question {
    border: 2px solid var(--text-colour, #000000);
    border-radius: 20px;
    width: 30px;
    height: 25px;
    text-align: center;
    align-content: center;
    color: var(--text-colour, #000000);
    font-weight: 700;
}
.visually-hidden {
    display: none;
}

#side-menu-search {
    width: 100%;
    height: 25px;
    border: none;
    border-radius: var(--border-radius, 10px);
}

.current-station {
    color: #000000;
    font-weight: var(--font-bold, 700);
    /*float: center;*/
    /*margin-left: auto;*/
    margin-right: 0;
    padding-left: 10px;
    text-align: center;
}

.homepage-content {
    display: flex;
    flex-direction: column;
    row-gap: 1.5em;
}

.menu-item {
    cursor: pointer;
}

.menu_item_description {
    text-align: left;
    line-height: var(--current-line-spacing);
    margin: 0;
}


.menu_item > p {
    background: var(--white-background, #FFF);
}

.breadcrumbs {
    width: 100%;
}
.breadcrumbs ol {
    width: 100%;
    padding: 0;
    margin: 0;
}
.breadcrumb-item {
    list-style-type: none;
    display: inline;
    font-style: italic;
}
.breadcrumb-item:before {
    content: "/";
    color: var(--secondary-colour);
}

.breadcrumb-item:first-child:before {
    content: "";
    padding-right: 0;
}

.breadcrumb-item:last-child {
    font-weight: var(--font-bold, 700);
    text-decoration: underline;
}

.menu_item_link {
    font-size: var(--current-font-size);
    text-decoration: underline;
    text-decoration-color: var(--main-colour, #FF8C00);
    transition: 0.3s;
    display: block;
    font-weight: var(--font-bold, 700);
    text-align: center;
    cursor: pointer;
    margin-top: 10px;
}

.menu_item_link:hover {
    color: var(--main-colour, #FF8C00);
    transition: 0.3s;
}
.page_title {
    text-align: left;
    color: #000000;
    /*margin-top: var(--margin-top, 10px);*/
    /*margin-bottom: var(--margin-bottom, 10px);*/
    margin: 10px 0 20px;
    text-transform: capitalize;
    font-size: var(--header-font-size);
    font-weight: var(--font-bold);
}

.bottom-nav-wrapper {
    width: 100%;
}

.bottom-nav {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    padding: 0;
    align-items: center;
}

.bottom-nav-item {
    list-style-type: none;
    font-weight: var(--font-bold, 700);
    width: 100%;
    text-align: center;
}

.footer-border {
    list-style-type: none;
    border-left: 1px solid var(--main-colour, #FF8C00);
    border-right: 1px solid var(--main-colour, #FF8C00);
    max-height: 45px;
    height: 35px;
}

.btn {
    padding: 15px 10px;
    font-size: var(--current-font-size, 16px);
    background-color: var(--white-background, #FFF);
    border: none;
    border-radius: var(--border-radius, 10px);
    outline: 2px solid var(--main-colour, #FF8C00);
    cursor: pointer;
    font-weight: var(--font-bold, 700);
    transition: .3s;
}

.btn:hover {
    background-color: var(--main-colour, #FF8C00);
    color: var(--text-colour, #FFFFFF);
    transition: .3s;
}
.view-on-map-btn {
    margin: 15px auto;
    width: 40%;
    max-width: 250px;
    color: var(--current-text-colour);
}


.filter-open-btn {

    margin-top: 10px;
    color: var(--current-text-colour);
}

.filter-open-btn:hover {
    outline: .2em solid var(--white-background);
}
.filter-menu {
    display: none;
}
.filter-menu.active {
    display: block;
    height: 100%;
    width: 100%;
    padding: var(--padding, 10px);
    background-color: var(--white-background, #FFF);
    position: absolute;
    top: 0;
    left: 0;
    overflow-x: hidden;
    transition: 0.3s;
    z-index: 10;
    margin-bottom: 2px;
    border: 2px solid black;
}
.filter-menu p {
    line-height: 1;
    margin: var(--margin, 20px);
}

.filter-back-button-wrapper,
.back-button-wrapper {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    column-gap: 1rem;
}

.filter-back-button-wrapper {
    margin-top: 50px;
}

.filter-back-icon,
.back-btn {
    width: 7em;
    height: 3em;
    background-color: #FFFFFF;
    border: .15em solid var(--main-colour, #FF8C00);
    border-radius: var(--border-radius, 10px);
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    column-gap: 0.8em;
    margin-top: var(--margin-top, 20px);
    padding-left: .5em;
    cursor: pointer;
    transition: background-color .2s ease-in-out;
    flex-shrink: 0;
}
.filter-back-icon:hover,
.back-btn:hover {
    /*background-color: var(--white-background, #FFF);*/
    background-color: var(--main-colour, #FF8C00);

    transition: background-color .2s ease-in-out;
}

.filter-back-icon:hover .back-icon,
.back-btn:hover .back-icon{
    border-top: .2em solid var(--text-colour,#000000);
    border-left: .2em solid var(--text-colour,#000000);
    transition: border-top .2s ease-in-out, border-left .2s ease-in-out;
}

.filter-back-icon:hover span:last-of-type,
.back-btn:hover span:last-of-type{
    background-color: var(--main-colour, #FF8C00);

    transition: all .2s ease-in-out;
    color: var(--text-colour, #000000);
}
.filter-back-icon .back-icon,
.back-btn .back-icon{
    position: absolute;
    left: 0.8em;
    height: 1.1em;
    width: 1.1em;

    border-top: .2em solid #000000;
    border-left: .2em solid #000000;
    transform: rotate(-45deg);
    transition: border-top .2s ease-in-out, border-left .2s ease-in-out;
}
.filter-back-icon  span:last-of-type,
.back-btn  span:last-of-type{
    border: none;
    background-color: var(--white-background, #FFF);

    font-size: var(--current-font-size);
    font-weight: 700;
    padding: 0;
    transition: all .2s ease-in-out;

}
.back-btn.disabled {
    background-color: var(--secondary-colour);
    border: .1em solid var(--secondary-colour);
    cursor: not-allowed;
    pointer-events: none;
}

.back-btn.disabled > button {
    background-color: var(--secondary-colour);
}
.filter-back-icon {
    margin-bottom: 20px;
}

.filter-options {
    display: flex;
    flex-direction: column;
    row-gap: 10px;
    /*overflow-x: hidden;*/
    margin: var(--margin, 20px);
}

.filter-toggle {
    filter: opacity(0);
    position: absolute;
    width: 2.5rem;
    height: 1.5rem;
    z-index: 4;

}

.filter-toggle:checked + label:after {
    transform: translateX(1em);
    background-color: var(--main-colour, #FF8C00);
}

.filter-toggle:checked + label:before {
    background-color: var(--white-background, #FFF);
    outline: 1px solid var(--main-colour, #FF8C00);
}


.filter-option {
    font-size: 1.2rem;
    text-transform: capitalize;
}
.filter-option label {
    display: flex;
    align-items: center;
    font-size: var(--current-font-size);
    line-height: var(--current-line-spacing);


}
.filter-option label::before {
    content: '';
    width: 2em;
    height: 1em;
    background-color: var(--supplementary-colour, #D3D3D3);
    outline: 1px solid var(--supplementary-colour, #D3D3D3);
    border-radius: var(--border-radius, 10px);
    margin-left: .1em;
    margin-right: .5em;
    transition: background-color .2s ease-in-out, transform .2s ease-in-out;
}

.filter-option label::after {
    position: absolute;
    left: 1.7em;
    /*left: 1.1em;*/
    content: '';
    width: .9em;
    height: .9em;
    background-color: var(--white-background, #FFF);
    border-radius: var(--border-radius, 10px);
    transition: .2s ease-in-out;
}
.filter-btns-wrapper {
    width: 100%;
    display: flex;
    flex-direction: row;
    column-gap: 15px;
    justify-content: space-evenly;

}

.filter-btns-wrapper > button {
    font-size: var(--current-font-size);
    color: var(--current-text-colour);
    padding: 1em;
    margin: var(--margin-top, 20px) 0;
}
.apply-btn {
    background-color: var(--main-colour, #FF8C00);
    color: var(--text-colour, #FFF);

}

.apply-btn:hover {
    background-color: var(--white-background, #FFF);
    color: var(--main-text-colour, #FF8C00);
    outline: 2px solid var(--main-colour, #FF8C00);
}
.status {
    width: 100%;
    background-color: red;
    border-radius: var(--border-radius, 10px);
}

.status-text {
    text-align: center;
}
.spacing-loose {
    row-gap: 1em;
}
/* KEYFRAMES */

/*@keyframes load-page {*/

/*    from {*/
/*        opacity: 0;*/
/*    }*/

/*    to {*/
/*        opacity: 1;*/
/*    }*/
/*}*/

@keyframes page-transition {

    from {
        visibility: hidden;
        display: none;
        opacity: 0;
    }

    to {
        visibility: visible;
        opacity: 1;
        display: block;
    }
}

/*  MEDIA QUERIES */

@media screen and (min-width: 700px) {

    .side-menu {
        /*overwritten display none for mobile*/
        display: flex;
        /*position: fixed;*/
        flex-direction: column;
        justify-content: space-between;
        width: 20em;
        height: 100%;
        background-color: var(--main-colour, #FF8C00);
        left: 0;
        overflow-x: hidden;
        transform: translate(-20em, 0);
        transition: .5s ease-in-out;
        /*z-index: 10;*/
    }
    .side-menu .header-menu {
        color: var(--white-background);
        margin: 0;
        padding: 1.5em 0;
    }

    .side-menu.active {
        width: 20em;
        grid-area: sidemenu;
        transform: translate(0, 0);
        transition: .5s ease-in-out;
    }
    .side-menu.active .header-menu {
        color: var(--white-background);
        margin: 0;
        padding: 1.5em 0;
    }
    body.full-screen .side-menu.active {
        margin: 0;
    }
    .side-menu form {
        margin-top: 30px;
        margin-bottom: 20px;
        width: 100%;
    }

    .side-menu ul {
        list-style-type: none;
        padding: 0;
        margin-top: 50px;
        display: flex;
        flex-direction: column;
        row-gap: 20px;
    }

    .side-menu-wrapper .accessibility-header {
        margin: 70px 1rem -2.2rem;
    }
    .side-menu ul li {
        display: grid;
        grid-template-columns: 1.5em auto;
        align-items: center;
    }

    .side-menu ul li a {
        text-decoration: underline;
        color: var(--text-colour);
        margin-left: var(--margin-left, 10px);
    }

    .container {
        width: 100%;
        height: 100vh;
        display: grid;
        grid-template-areas:
            "nav"
            "main"
            "footer";
        grid-template-rows: 60px 1fr 60px;
        grid-template-columns: auto;
        overflow-y: hidden;
    }

    .container > *:has(.full-screen) {
        padding-inline: 0;
    }

    .container > main {
        right: 0;
        top: 60px;
        /*height: 100%;*/
        /*height: calc(100% - 140px);*/
    }

    .container > main:has(#demo) {
        overflow-y: hidden;
    }

    .header-wrapper {
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        border-bottom: none;
        /*z-index: 1;*/
        background-color: var(--white-background, #FFF);
        box-shadow: var(--supplementary-colour) 0 2px 5px;
        position: relative;
    }

    .filter-menu.active {
        top: 0;
        width: 20em;
    }

    .filter-back-icon,
    .back-btn {
        /*width: 6em;*/
        /*padding-left: 0;*/
    }

    .filter-back-icon button,
    .back-btn button {
        display: block;
        border: none;
        background-color: #FFFFFF;
        font-size: 1rem;
        color: var(--text-colour, #FFF);
        padding-left: 1em;
        transition: background-color .2s ease-in-out;
        cursor: pointer;
    }

    footer {
        max-height: 7em;
        grid-area: footer;
        display: flex;
        justify-content: space-evenly;
        align-items: center;
        bottom: 0;
        background: var(--white-background, #FFF);
        padding-block: 1em;
        box-shadow: var(--supplementary-colour) 0 -2px 5px;
        z-index: 10;
        position: fixed;
        /*width: calc(100% - 320px);*/
        right: 0;
        height: 80px;
    }
}
@media screen and (max-width: 700px) {
    .btn {
        padding: var(--padding, 10px);
    }

    .filter-open-btn {
        padding: var(--padding, 10px);
    }

    .current-station {
        text-align: center;
    }
}
@media screen and (max-width: 331px) {
    .current-station {
        font-size: 1rem;
    }
}
/*Station overview button*/

.station-overview-btn-wrapper,
.large-sidemenu-item {
    display: flex;
    flex-direction: row;
    column-gap: 5px;
    cursor: pointer;
    height: 3rem;
    align-items: center;
    max-width: 250px;
    text-decoration: none;
    margin: .25rem 1rem 0;
}

@media (min-width: 390px) {
    .station-overview-btn-wrapper,
    .large-sidemenu-item {
        margin: 1rem 1rem 0;
    }
}

.station-overview-btn-wrapper:focus,
.large-sidemenu-item:focus {
    padding: unset;
}

.station-overview-btn-wrapper > div:first-of-type,
.large-sidemenu-item > div:first-of-type {
    width: 5px;
    background-color: var(--text-colour, #FFFFFF);
    height: 100%;
}

.station-overview-btn-wrapper > p,
.large-sidemenu-item > p {
    color: var(--text-colour, #FFFFFF);
    font-size: 1.35rem;
    text-wrap: wrap;
    text-align: left;

    height: 100%;
    display: flex;
    align-items: center;
}

.large-sidemenu-item > p::before {
    border-inline-start: 5px solid var(--text-colour, #FFFFFF);
    content: ' ';
    padding-inline-start: 5px;
    height: inherit;
}

.submenu-footer-container {
    display: flex;
    flex-direction: column;
    justify-content: end;
    padding-block-end: 4rem;
}

@media (min-width: 600px) {
    .submenu-footer-container {
        padding-block: 1rem;
    }
}

.empty-row {
    height: 5rem;
}

.extra-sidemenu-item {
    display: flex;
    flex-direction: row;
    column-gap: 20px;
    cursor: pointer;
    align-items: center;
    max-width: 250px;
    text-decoration: none;
}
.extra-sidemenu-item svg {
    width: 25px;
    height: 25px;
    fill: var(--text-colour);
}
.extra-sidemenu-item > p {
    color: var(--text-colour, #FFFFFF);
    font-size: 20px;
    text-wrap: wrap;
    text-align: left;
}
.goodmaps-btn-wrapper {
    margin: 1.2rem 1rem;
}
.goodmaps-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap: 15px;
}
.goodmaps-btn-download {

    padding: 15px 10px;
    font-size: var(--current-font-size, 16px);
    background-color: var(--white-background, #FFF);
    border: none;
    border-radius: var(--border-radius, 10px);
    outline: 2px solid var(--main-colour, #FF8C00);
    cursor: pointer;
    font-weight: var(--font-bold, 700);
    transition: .3s;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 200px;

}
.goodmaps-btn-download:hover {
    background-color: var(--main-colour, #FF8C00);
    color: var(--text-colour, #FFFFFF);
    transition: .3s;
}
.goodmaps-download-wrapper,
.goodmaps-view-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.qa-wrapper {
    width: 100%;
    margin: 10px 0;
    /*border-bottom:1px solid var(--supplementary-colour);*/
}
.qa-wrapper > p:first-child {
    font-weight: var(--font-bold);
}

.qa-wrapper .qa-question {
    width: 100%;
    height: fit-content;
    /*background-color: var(--main-colour);*/
    border: 2px solid var(--main-colour);
    border-radius: var(--border-radius);
    padding: 5px 10px;
}
.qa-wrapper .qa-answer {
    display: none;
    transition: 0.5s ease-in-out;
}
.qa-wrapper .qa-answer.active {
    display: block;
    transition: 0.5s ease-in-out;
    padding-left: 10px;
}
.qa-icon {
    width: 20px;
    height: 20px;
    transform: rotate(0deg);
    transition: transform 0.3s ease;
}
.qa-icon > use {
    width: 100%;
    height: 100%;
}
.question-wrapper {
    font-weight: var(--font-bold);
}

@media screen and (min-width: 1024px) {
    .container > *:not(:has(#demo), .header-wrapper) {
        padding: 2em;
    }
    .station-overview-btn-wrapper,
    .privacy-policy-btn-wrapper,
    .large-sidemenu-item{
        bottom: 0;
        margin-bottom: 10px;
    }

    /*.goodmaps-wrapper {*/
    /*    flex-direction: row;*/
    /*    column-gap: 15px;*/
    /*}*/
}
.login-modal-overlay.active,
.map-key-overlay.active {
    display: flex;
}

.login-modal-overlay,
.map-key-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.5);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 99999;
    overflow: hidden;
    bottom: 3.5rem;
}

.map-key-modal {
    background-color: #fff;
    border-radius: 8px;
    padding: 20px;
    max-width: 90%;
    width: 100vw;
    max-height: 90%;
    height: 100%;
    overflow-y: auto;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.close-key-btn {
    background: #000000;
    color: #fff;
    border: none;
    padding: 10px;
    font-size: 16px;
    cursor: pointer;
    border-radius: 4px;
    margin-bottom: 20px;
}

.close-key-btn:hover {
    background-color: #494949;
}

.login-modal {
    display: block;
    width: 50%;
    height: auto;
    position: absolute;
    top: 50%;
    z-index: 30;
    background: white;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 1em;
    max-width: 720px;
    border-radius: 6px;
    min-height: 100px;
    min-width: 300px;
}

.modal-container h2,
.map-key-modal h2 {
    font-size: 1.35em;
    margin: 0;
    padding-bottom: 15px;
    text-align: center;
}

.map-key-modal h2 {
    padding-bottom: 0;
}

.key-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    margin-top: 20px;
    max-height: 70vh;
    overflow-y: auto;
}

.key-item {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    padding: 10px;
}

.key-svg {
    width: 30px;
    height: 30px;
}

.key-item p {
    margin: 0;
    font-size: 16px;
    text-transform: capitalize;
    text-align: start;
}

.key-icon-text {
    display: flex;
    flex-direction: row;
    align-items: center;
}
.key-icon-text p {
    margin-left: 20px;
}


@media (max-width: 768px) {
    .map-key-modal {
        width: 90%;
        height: 80%;
        /*padding: 1em;*/
    }

    .key-svg {
        width: 2rem;
        height: 2rem;
    }

    .key-container {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 480px) {
    .key-container {
        grid-template-columns: 1fr;
    }
}

.simple_hide {
    display: none;
}
.hidden {
    z-index: -1;
    opacity: 0;
}